=== debian/changelog ===
midicsv (1.1+dfsg.1-3) unstable; urgency=medium

  * Add ID to Uploaders (requirement for ITS #1107815)
  * d/watch: version=5

 -- Andreas Tille <tille@debian.org>  Tue, 16 Dec 2025 13:45:23 +0100

midicsv (1.1+dfsg.1-2) unstable; urgency=medium

  * Team upload.
  * Maintain package in Debian Multimedia team
    Closes: #1107815
  * Add proper parameters to match the system declaration of index()
    Closes: #1097395
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * d/watch
     - file standard 4
     - Secure URI
  * d/copyright
     - Include full license of cc-by-sa in d/copyright
     - Fix regexp
     - Add Files-Excluded

 -- Andreas Tille <tille@debian.org>  Sun, 15 Jun 2025 05:45:15 +0200
