=== debian/control ===
Source: midicsv
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Kamal Mostafa <kamal@whence.com>,
           Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/multimedia-team/midicsv
Vcs-Git: https://salsa.debian.org/multimedia-team/midicsv.git
Homepage: https://www.fourmilab.ch/webtools/midicsv/

Package: midicsv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: perl
Description: translate MIDI file to CSV
 Midicsv reads a standard MIDI file and decodes it into a CSV
 (Comma-Separated Value) file which preserves all the information in the
 MIDI file.  The ASCII CSV file may be loaded into a spreadsheet or database
 application, or processed by a program to transform the MIDI data (for
 example, to key transpose a composition or extract a track from a
 multi-track sequence).  A CSV file in the format created by midicsv may be
 converted back into a standard MIDI file with the csvmidi program.
