=== debian/watch ===
Version: 5

Source: https://www.fourmilab.ch/webtools/@PACKAGE@
Matching-Pattern: @PACKAGE@-(.*)\.tar\.gz
Dversion-Mangle: auto
